%define plasmaver %(echo %{version} | cut -d. -f1-3)
Name:          kde-gtk-config
Version:       5.22.2.1
Release:       1mamba
Summary:       GTK2 and GTK3 Configurator for KDE
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/plasma/%{plasmaver}/kde-gtk-config-%{version}.tar.xz
Patch0:        kde-gtk-config-5.16.4-pango-1.44.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdecoration-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libpango-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: xsettingsd
Requires:      xsettingsd
Provides:      kde-gtk-config5
Obsoletes:     kde-gtk-config5 < 5.22.0

%description
GTK2 and GTK3 Configurator for KDE.
Configuration dialog to adapt GTK applications appearance to your taste under KDE. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde5

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#%find_lang kde-gtk-config

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
#-f kde-gtk-config.lang
%defattr(-,root,root)
%{_libexecdir}/gtk3_preview
%{_libdir}/kconf_update_bin/gtk_theme
%{_datadir}/kconf_update/remove_window_decorations_from_gtk_css.sh
%{_datadir}/kcm-gtk-module/preview.ui
%{_libdir}/qt5/plugins/kf5/kded/gtkconfig.so
%{_libdir}/gtk-3.0/modules/libcolorreload-gtk-module.so
%{_libdir}/gtk-3.0/modules/libwindow-decorations-gtk-module.so
%{_datadir}/themes/Breeze/window_decorations.css
%{_datadir}/kconf_update/gtkconfig.upd
%doc LICENSES

%changelog
* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 5.22.2.1-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 5.22.1-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 5.21.5-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 5.21.4-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 5.21.3-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 5.21.2-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 5.21.1-1mamba
- automatic version update by autodist

* Fri Feb 19 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Tue Sep 01 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.4-2mamba
- rebuilt with xsettingsd

* Wed Jul 29 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Wed May 06 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Sat Apr 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 5.18.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Tue Oct 15 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Tue Jun 25 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sat Jun 15 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Tue Nov 27 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Tue Nov 06 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Tue Mar 06 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 5.10.5-1mamba
- automatic version update by autodist

* Tue Jul 18 2017 Automatic Build System <autodist@mambasoft.it> 5.10.4-1mamba
- automatic version update by autodist

* Wed Jun 28 2017 Automatic Build System <autodist@mambasoft.it> 5.10.3-1mamba
- automatic version update by autodist

* Wed Jun 14 2017 Automatic Build System <autodist@mambasoft.it> 5.10.2-1mamba
- automatic version update by autodist

* Wed Jun 07 2017 Automatic Build System <autodist@mambasoft.it> 5.10.1-1mamba
- automatic version update by autodist

* Fri Jun 02 2017 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Tue Apr 25 2017 Automatic Build System <autodist@mambasoft.it> 5.9.5-1mamba
- automatic version update by autodist

* Tue Mar 21 2017 Automatic Build System <autodist@mambasoft.it> 5.9.4-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2017 Automatic Build System <autodist@mambasoft.it> 5.9.1-1mamba
- automatic version update by autodist

* Fri Feb 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 5.8.5-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 5.8.4-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Automatic Build System <autodist@mambasoft.it> 5.8.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 5.8.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 5.7.4-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Sun Jan 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-2mamba
- renamed from kde-gtk-config to kde-gtk-config5

* Thu Dec 24 2015 Automatic Build System <autodist@mambasoft.it> 5.5.2-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 5.4.3-1mamba
- automatic version update by autodist

* Tue Oct 06 2015 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Wed Sep 23 2015 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 5.3.2-1mamba
- automatic version update by autodist

* Tue May 26 2015 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Sat May 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.0-1mamba
- update to 5.3.0

* Fri Apr 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- update to 2.2.1

* Mon Jun 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.git20120625-1mamba
- package created by autospec
